﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Balance
{
    class Program
    {
        static void Main(string[] args)
        {
            // Przykład wywołania metody getBalance, umożliwiającej sprawdzenie stanu konta
            try
            {
                string sLogin = ""; // Login konta w Postivo.pl
                string sApiPass = ""; // Hasło dostępu do konta przez API

                // Utworzenie obiektu serwisu:
                Postivo.PostivoplPortTypeClient serwis = new Postivo.PostivoplPortTypeClient();

                // Wywołanie metody getBalance z przekazaniem wszystkich parametrów
                Postivo.BalanceReturnObject output = serwis.getBalance(sLogin, sApiPass);

                // Przykład obsługi danych wyjściowych:
                Console.WriteLine("Status żądania: " + output.result_code + ", opis statusu żądania: " + output.result_description);
                Console.WriteLine("Aktualny stan konta: " + output.balance + "zł netto, Limit konta: " + output.limit);

                if (output.postpaid == 1) Console.Write("POST-PAID");
                else Console.Write("PRE-PAID");
            }
            catch (Exception exeption)
            {
                Console.WriteLine("Wystąpił błąd: " + exeption.Message);
            }

        }
    }
}
