using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace GetConfigProfiles
{
    class Program
    {
        static void Main(string[] args)
        {
        //  Przykad wywoania metody getConfigProfiles, umoliwiajcej pobranie zdefiniowanych profili konfiguracyjnych
            try
            {
                String sLogin = ""; // Login konta w pl
                String sApiPass = ""; // Haso dostpu do konta przez API
                String iMsgType = "1"; // Typ przesyki (1-przesyka listowa, 2-Fax)
         	
                // Utworzenie obiektu serwisu:
                Postivo.PostivoplPortTypeClient serwis = new Postivo.PostivoplPortTypeClient();

                // Wywoanie metody getConfigProfiles z przekazaniem wszystkich parametrw
                Postivo.ConfigProfilesReturnObject output = serwis.getConfigProfiles(sLogin, sApiPass, iMsgType);

                // Przykad obsugi danych wyjciowych:
                Console.WriteLine("Status dania: " + output.result);
                Console.WriteLine("Kod statusu dania: " + output.result_code);
                Console.WriteLine("Opis statusu dania: " + output.result_description);

                // Przykad obsugi danych wyjciowych:
           
                if (output.config_profiles!=null) {
				    foreach (Postivo.ConfigProfile profile in output.config_profiles) {

					    Console.WriteLine("Nazwa konfiguracji "
							    + profile.config_name + ", ID konfiguracji: "
							    + profile.config_id + ", Rodzaj papieru: "
							    + profile.paper_type + ", Wydruk dokumentw: "
							    + profile.paper_print_type
							    + " Rodzaj koperty: " + profile.envelope_type
							    + ", Nazwa szablonu koperty: "
							    + profile.envelope_template
							    + ", Wydruk koperty: "
							    + profile.envelope_print_type
							    + ", Operator pocztowy: " + profile.carrier
							    + ", Typ przesyki: " + profile.dispatch_type);
				    }
			    }
            }
            catch (Exception exeption)
            {
               Console.WriteLine("Wystpi bd: " + exeption.Message);
            }
	    }
    }
}

